Loading...
Searching...
No Matches
split.hpp File Reference

Provides seqan3::tuple_split. More...

`#include <utility>`
`#include <seqan3/utility/tuple/concept.hpp>`
`#include <seqan3/utility/type_list/traits.hpp>`
Include dependency graph for split.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<typename pivot_t, tuple_like tuple_t>
constexpr auto | seqan3::tuple_split (tuple_t &&t)
| Splits a tuple like data structure at the first position of the given type.
template<size_t pivot_c, template< typename... > typename tuple_t, typename... ts> requires tuple_like<tuple_t<ts...>>
constexpr auto | seqan3::tuple_split (tuple_t< ts... > &&t)
| Splits a tuple like data structure at the given position.
template<size_t pivot_c, template< typename... > typename tuple_t, typename... ts> requires tuple_like<tuple_t<ts...>>
constexpr auto | seqan3::tuple_split (tuple_t< ts... > const &t)
| Splits a tuple like data structure at the given position.

## Detailed Description

Provides seqan3::tuple_split.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me